## org.mortbay.jetty.client.webdav
Class WebdavListener

    java.lang.Object
      org.mortbay.jetty.client.HttpEventListenerWrapper
          org.mortbay.jetty.client.webdav.WebdavListener

All Implemented Interfaces:
  HttpEventListener

    public class WebdavListener

extends HttpEventListenerWrapper

WebdavListener

Constructor Summary
`WebdavListener(HttpDestination destination, HttpExchange ex)`

Method Summary
`void` `onRequestComplete()`
`void` `onResponseComplete()`
`void` `onResponseStatus(Buffer version, int status, Buffer reason)`

Methods inherited from class org.mortbay.jetty.client.HttpEventListenerWrapper
`getEventListener, isDelegatingRequests, isDelegatingResponses, onConnectionFailed, onException, onExpire, onRequestCommitted, onResponseContent, onResponseHeader, onResponseHeaderComplete, onRetry, setDelegatingRequests, setDelegatingResponses, setDelegationResult, setEventListener`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WebdavListener

    public WebdavListener(HttpDestination destination,
                          HttpExchange ex)

Method Detail

### onResponseStatus

    public void onResponseStatus(Buffer version,
                                 int status,
                                 Buffer reason)
                          throws java.io.IOException

  Specified by:
    `onResponseStatus` in interface `HttpEventListener`
  Overrides:
    `onResponseStatus` in class `HttpEventListenerWrapper`
  Throws:
    `java.io.IOException`

### onResponseComplete

    public void onResponseComplete()
                            throws java.io.IOException

  Specified by:
    `onResponseComplete` in interface `HttpEventListener`
  Overrides:
    `onResponseComplete` in class `HttpEventListenerWrapper`
  Throws:
    `java.io.IOException`

### onRequestComplete

    public void onRequestComplete()
                           throws java.io.IOException

  Specified by:
    `onRequestComplete` in interface `HttpEventListener`
  Overrides:
    `onRequestComplete` in class `HttpEventListenerWrapper`
  Throws:
    `java.io.IOException`

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.